
=begin コメント

libguestfs generated file
 WARNING: THIS FILE IS GENERATED FROM THE FOLLOWING FILES:
          generator/fish.ml
          and from the code in the generator/ subdirectory.
 ANY CHANGES YOU MAKE TO THIS FILE WILL BE LOST.

 Copyright (C) 2009-2020 Red Hat Inc.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

=end コメント

=head2 alloc

=head2 allocate

 alloc filename size

This creates an empty (zeroed) file of the given size, and then adds so it
can be further examined.

For more advanced image creation, see L</disk-create>.

Size can be specified using standard suffixes, eg. C<1M>.

スパースなファイルを作成するには、代わりに L</sparse> を使用します。非スパースなディスクイメージを作成するには、
L</準備済みディスクイメージ> を参照してください。

=head2 copy-in

 copy-in local [local ...] /remotedir

C<copy-in> copies local files or directories recursively into the disk
image, placing them in the directory called F</remotedir> (which must
exist).  This guestfish meta-command turns into a sequence of L</tar-in> and
other commands as necessary.

Multiple local files and directories can be specified, but the last
parameter must always be a remote directory.  Wildcards cannot be used.

=head2 copy-out

 copy-out remote [remote ...] localdir

C<copy-out> copies remote files or directories recursively out of the disk
image, placing them on the host disk in a local directory called C<localdir>
(which must exist).  This guestfish meta-command turns into a sequence of
L</download>, L</tar-out> and other commands as necessary.

Multiple remote files and directories can be specified, but the last
parameter must always be a local directory.  To download to the current
directory, use C<.> as in:

 copy-out /home .

Wildcards cannot be used in the ordinary command, but you can use them with
the help of L</glob> like this:

 glob copy-out /home/* .

=head2 delete-event

 delete-event name

Delete the event handler which was previously registered as C<name>.  If
multiple event handlers were registered with the same name, they are all
deleted.

guestfish コマンドの C<event> および C<list-events> 参照。

=head2 display

 display filename

Use C<display> (a graphical display program) to display an image file.  It
downloads the file, and runs C<display> on it.

To use an alternative program, set the C<GUESTFISH_DISPLAY_IMAGE>
environment variable.  For example to use the GNOME display program:

 export GUESTFISH_DISPLAY_IMAGE=eog

L<display(1)> 参照。

=head2 echo

 echo [params ...]

パラメーターを端末に返します。

=head2 edit

=head2 vi

=head2 emacs

 edit filename

This is used to edit a file.  It downloads the file, edits it locally using
your editor, then uploads the result.

The editor is C<$EDITOR>.  However if you use the alternate commands C<vi>
or C<emacs> you will get those corresponding editors.

=head2 event

 event name eventset "shell script ..."

Register a shell script fragment which is executed when an event is raised.
See L<guestfs(3)/guestfs_set_event_callback> for a discussion of the event
API in libguestfs.

The C<name> parameter is a name that you give to this event handler.  It can
be any string (even the empty string) and is simply there so you can delete
the handler using the guestfish C<delete-event> command.

The C<eventset> parameter is a comma-separated list of one or more events,
for example C<close> or C<close,trace>.  The special value C<*> means all
events.

The third and final parameter is the shell script fragment (or any external
command) that is executed when any of the events in the eventset occurs.  It
is executed using C<$SHELL -c>, or if C<$SHELL> is not set then F</bin/sh
-c>.

The shell script fragment receives callback parameters as arguments C<$1>,
C<$2> etc.  The actual event that was called is available in the environment
variable C<$EVENT>.

 event "" close "echo closed"
 event messages appliance,library,trace "echo $@"
 event "" progress "echo progress: $3/$4"
 event "" * "echo $EVENT $@"

guestfish コマンドの C<delete-event> および C<list-events> 参照。

=head2 glob

 glob command args...

Expand wildcards in any paths in the args list, and run C<command>
repeatedly on each matching path.

L</WILDCARDS AND GLOBBING> 参照。

=head2 hexedit

 hexedit <filename|device>
 hexedit <filename|device> <max>
 hexedit <filename|device> <start> <max>

Use hexedit (a hex editor) to edit all or part of a binary file or block
device.

This command works by downloading potentially the whole file or device,
editing it locally, then uploading it.  If the file or device is large, you
have to specify which part you wish to edit by using C<max> and/or C<start>
C<max> parameters.  C<start> and C<max> are specified in bytes, with the
usual modifiers allowed such as C<1M> (1 megabyte).

For example to edit the first few sectors of a disk you might do:

 hexedit /dev/sda 1M

which would allow you to edit anywhere within the first megabyte of the
disk.

To edit the superblock of an ext2 filesystem on F</dev/sda1>, do:

 hexedit /dev/sda1 0x400 0x400

(assuming the superblock is in the standard location).

This command requires the external L<hexedit(1)> program.  You can specify
another program to use by setting the C<HEXEDITOR> environment variable.

L</hexdump> 参照。

=head2 lcd

 lcd directory

Change the local directory, ie. the current directory of guestfish itself.

Note that C<!cd> won't do what you might expect.

=head2 list-events

 list-events

List the event handlers registered using the guestfish C<event> command.

=head2 man

=head2 manual

  man

guestfish のマニュアルページを開きます。

=head2 more

=head2 less

 more filename

 less filename

ファイルを表示するために使用します。

デフォルトのビューアーは C<$PAGER> です。  しかし代替のコマンド C<less> を使用すると、明示的に C<less>
コマンドが使えます。

=head2 reopen

  reopen

Close and reopen the libguestfs handle.  It is not necessary to use this
normally, because the handle is closed properly when guestfish exits.
However this is occasionally useful for testing.

=head2 setenv

  setenv VAR value

環境変数 C<VAR> を文字列 C<value> に設定します。

環境変数の値を表示するには、次のようにシェルコマンドを使用します:

 !echo $VAR

=head2 sparse

 sparse filename size

This creates an empty sparse file of the given size, and then adds so it can
be further examined.

In all respects it works the same as the L</alloc> command, except that the
image file is allocated sparsely, which means that disk blocks are not
assigned to the file until they are needed.  Sparse disk files only use
space when written to, but they are slower and there is a danger you could
run out of real disk space during a write operation.

For more advanced image creation, see L</disk-create>.

Size can be specified using standard suffixes, eg. C<1M>.

See also the guestfish L</scratch> command.

=head2 supported

 supported

This command returns a list of the optional groups known to the daemon, and
indicates which ones are supported by this build of the libguestfs
appliance.

L<guestfs(3)/AVAILABILITY> 参照。

=head2 time

 time command args...

Run the command as usual, but print the elapsed time afterwards.  This can
be useful for benchmarking operations.

=head2 unsetenv

  unsetenv VAR

環境から C<VAR> を削除します。

